Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ObjectReferenceFactory Interface Reference

`#include <ObjectReferenceTemplateC.h>`

Inheritance diagram for PortableInterceptor::ObjectReferenceFactory:

[legend]
Collaboration diagram for PortableInterceptor::ObjectReferenceFactory:

[legend]
List of all members.

## Public Types
typedef ObjectReferenceFactory * | _ptr_type
typedef ObjectReferenceFactory_var | _var_type
## Public Methods
Object | make_object (in string repository_id, in ObjectId id)
virtual const char * | _tao_obv_repository_id () const
| TAO extension. More...
virtual CORBA::Object_ptr | make_object (const char *, const PortableInterceptor::ObjectId &ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw (CORBA::SystemException)
## Static Public Methods
ObjectReferenceFactory * | _downcast (CORBA::ValueBase *)
CORBA::Boolean | _tao_unmarshal (TAO_InputCDR &, ObjectReferenceFactory *&)
const char * | _tao_obv_static_repository_id ()
void | _tao_any_destructor (void *)
## Protected Methods
| ObjectReferenceFactory ()
virtual | ~ObjectReferenceFactory ()
virtual void * | _tao_obv_narrow (ptr_arith_t)
virtual CORBA::Boolean | _tao_marshal_v (TAO_OutputCDR &)
| during marshal jump to the most derived part. More...
virtual CORBA::Boolean | _tao_unmarshal_v (TAO_InputCDR &)
| called after obtaining the fresh object from create_for_unmarshal (). More...
## Private Methods
| ObjectReferenceFactory (const ObjectReferenceFactory &)
void | operator= (const ObjectReferenceFactory &)

## Member Typedef Documentation

typedef ObjectReferenceFactory* PortableInterceptor::ObjectReferenceFactory::_ptr_type

| Reimplemented in PortableInterceptor::ObjectReferenceTemplate.

typedef ObjectReferenceFactory_var PortableInterceptor::ObjectReferenceFactory::_var_type

| Reimplemented in PortableInterceptor::ObjectReferenceTemplate.

## Constructor & Destructor Documentation

ACE_INLINE PortableInterceptor::ObjectReferenceFactory::ObjectReferenceFactory | ( |  | ) | `[protected]`

ACE_INLINE PortableInterceptor::ObjectReferenceFactory::~ObjectReferenceFactory | ( |  | ) | `[protected, virtual]`

PortableInterceptor::ObjectReferenceFactory::ObjectReferenceFactory | ( | const ObjectReferenceFactory & |  | ) | `[private]`

## Member Function Documentation

PortableInterceptor::ObjectReferenceFactory * PortableInterceptor::ObjectReferenceFactory::_downcast | ( | CORBA::ValueBase * | v | ) | `[static]`

| Reimplemented from CORBA_ValueBase. Reimplemented in PortableInterceptor::ObjectReferenceTemplate.

void PortableInterceptor::ObjectReferenceFactory::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

| Reimplemented in PortableInterceptor::ObjectReferenceTemplate.

CORBA::Boolean PortableInterceptor::ObjectReferenceFactory::_tao_marshal_v | ( | TAO_OutputCDR & |  | ) | `[protected, virtual]`

| during marshal jump to the most derived part. Reimplemented from CORBA_ValueBase. Reimplemented in PortableInterceptor::ObjectReferenceTemplate.

void * PortableInterceptor::ObjectReferenceFactory::_tao_obv_narrow | ( | ptr_arith_t | type_id | ) | `[protected, virtual]`

| Reimplemented from CORBA_ValueBase. Reimplemented in PortableInterceptor::ObjectReferenceTemplate.

const char * PortableInterceptor::ObjectReferenceFactory::_tao_obv_repository_id | ( | void |  | ) | const`[virtual]`

| TAO extension. Reimplemented from CORBA_ValueBase. Reimplemented in PortableInterceptor::ObjectReferenceTemplate.

ACE_INLINE const char * PortableInterceptor::ObjectReferenceFactory::_tao_obv_static_repository_id | ( |  | ) | `[static]`

| Reimplemented in PortableInterceptor::ObjectReferenceTemplate.

CORBA::Boolean PortableInterceptor::ObjectReferenceFactory::_tao_unmarshal | ( | TAO_InputCDR & | strm,
|  | ObjectReferenceFactory *& | new_object
| ) | `[static]`

CORBA::Boolean PortableInterceptor::ObjectReferenceFactory::_tao_unmarshal_v | ( | TAO_InputCDR & |  | ) | `[protected, virtual]`

| called after obtaining the fresh object from create_for_unmarshal (). Reimplemented from CORBA_ValueBase. Reimplemented in PortableInterceptor::ObjectReferenceTemplate.

virtual CORBA::Object_ptr PortableInterceptor::ObjectReferenceFactory::make_object | ( | const char * | ,
|  | const PortableInterceptor::ObjectId & | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[pure virtual]`

Object PortableInterceptor::ObjectReferenceFactory::make_object | ( | in string | repository_id,
|  | in ObjectId | id
| ) |

void PortableInterceptor::ObjectReferenceFactory::operator= | ( | const ObjectReferenceFactory & |  | ) | `[private]`

The documentation for this interface was generated from the following files:

- ObjectReferenceTemplate.pidl
- ObjectReferenceTemplateC.h
- ObjectReferenceTemplateC.cpp
- ObjectReferenceTemplateC.i